Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.custom.swt
Class ECPAbstractCustomControlSWT.SWTCustomControlHelper

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.custom.swt.ECPAbstractCustomControlSWT.SWTCustomControlHelper

Enclosing class:
  ECPAbstractCustomControlSWT

    public final class ECPAbstractCustomControlSWT.SWTCustomControlHelper

extends Object

The `ECPAbstractCustomControlSWT.SWTCustomControlHelper` allows the retrieval of SWT specific elements.

Author:
  Eugen Neufeld

Constructor Summary
`ECPAbstractCustomControlSWT.SWTCustomControlHelper()`

Method Summary
`String` | `getHelp(VDomainModelReference domainModelReference)` This return a text providing a long helpful description of the feature.
`org.eclipse.swt.graphics.Image` | `getImage(int imageType)` Allows to get an `Image` based on the constants defined in `ECPAbstractCustomControlSWT`.
`String` | `getLabel(VDomainModelReference domainModelReference)` This return a text providing a short label of the feature.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPAbstractCustomControlSWT.SWTCustomControlHelper

    public ECPAbstractCustomControlSWT.SWTCustomControlHelper()

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(int imageType)

  Allows to get an `Image` based on the constants defined in `ECPAbstractCustomControlSWT`.

  Parameters:
    `imageType` - the image type to retrieve
  Returns:
    the retrieved Image or null if an unknown imageType was provided

### getHelp

    public String getHelp(VDomainModelReference domainModelReference)

  This return a text providing a long helpful description of the feature. Can be used for example in a ToolTip.

  Parameters:
    `domainModelReference` - the `VDomainModelReference` to retrieve the help text for
  Returns:
    the String containing the helpful description or null if no description is found
  Since:
    1.3

### getLabel

    public String getLabel(VDomainModelReference domainModelReference)

  This return a text providing a short label of the feature. Can be used for example as a label in front of the edit field.

  Parameters:
    `domainModelReference` - the `VDomainModelReference` to retrieve the text for
  Returns:
    the String containing the label null if no label is found
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.